﻿# EliteBGS changelog

## 0.4.1 on 28.04.2024

* Filter out vouchers that are redeemed twice, due to bulk turn-in. If you
  redeem a singular voucher for value X, and then redeem the rest of your
  vouchers - say KWS vouchers - in bulk, the first voucher of value X will
  appear again in the logs. It appears twice in the logs, but only counts
  once.
* Add the market name to the trading log entries.

## 0.4.0 on 13.04.2024

* Change layout of the results into System -> Faction -> Transaction.
  Many people who contribute *a lot* of things to the BGS have preferred such
  a layout to find the right things to post to various discord guilds/threads.
* Sort all systems in the new overview by name. It just makes them easier to
  find when there are a lot of entries.
* Add a button to deselect/select all buttons.

## 0.3.7 on 29.01.2024

* Fix wrong locations of BGS action if you remain on your carrier while its
  jumping to a new system.
* Identify a capital ship in a high CZ by its music.

## 0.3.6 on 25.10.2023

* U17 introduced invalid JSON into the player journal. EliteBGS can now skip over
  those and keep processing. This way players won't have to delete lines in their
  journals anymore to keep using the tool.
* Banshee has been added.

## 0.3.5 on 11.09.2023

* Small bounty voucher formats are no longer suppressed.
* Glaive has been renamed to "Hunter" since Scythe has the same bounty
  and they cannot be distinguished.
* Mission influence can now also be negative. Failed missions now properly
  report the amount of negative influence given to a faction.
* Mission secondary influences now also support negative influences. This
  for example happens if you take a mission to murder another faction's
  civlians, which causes negative INF.

## 0.3.4 on 18.06.2023

* Added possibility to specify allied, as well as enemy captain and correspondent.
* Added date range, and tool version to standard log format.
* Added new English mission names.

## 0.3.3 on 15.05.2023

* Added payout for the Thargoid Glaive.
* Added payout and support for the Thargoid Revenant.
* Added more English mission names.
* Ship and AX combat zones can now be detected through a new event, which
  allows the tool to properly determine the difficulty. Combat zone outcome,
  additional objectives, or the name of the factions fighting are still guess
  work however.
* Fixed a bug where newly added factions to a system weren't properly
  recognised. Thanks to Shakaka.
* Added option to ignore FleetCarrier actions.
* Added an "Open in Explorer" button to journal locations.

## 0.3.2 on 19.04.2023

* Orthrus payout has been adapted to 14.02 values.
* Old Thargoid payout values have been removed, so very old logs now no
  longer parse correctly. The old value clashed with new ones, making
  detection of interceptor kills difficult.
* Fixed a problem regarding the proper detection of station owner, and
  thus for whom the tool attributed market buy and market sell.
* Added GUI options to ignore some less important BGS entries.
* One line report has changed to show summaries
* Summaries have been streamlined:
  * semi-colons now separate entries
  * missing BGS actions (like S&R) have received a summary
  * Trade has been renamed to "Sold" and "Bought"
  * Sold now shows tons of cargo sold, plus profit if available
  * Bought shows tons of cargo bought

## 0.3.1 on 26.02.2023

* Fixed: AX combat zones caused crashes with the summary.
* Fixed: Summaries for thargoid kills didn't render probably.

## 0.3.0 on 26.02.2023

* Move to MahApps toolkit, which replaces extended toolkit.
* Introduce themes (by MahApps) including dark mode.
* Add summary to the two bigger BGS log types.
* Remove organic data from BGS tool, as it has been confirmed that
  it does not contribute to the BGS.
* Add a few more English mission names.

## 0.2.6 on 04.02.2023

* Update Post 14.02 Thargoid bounties
* Just summarise failed missions by on-foot and ship, instead of a detailed view
* Add some more English mission names
* Move code hosting to [CodeBerg](https://codeberg.org/)

## 0.2.5 on 20.12.2022

* Repaired mission fails.
* Added support for Missions entry.

## 0.2.4 on 18.12.2022

* Fixed bug with organic data.
* Fixed bug in mission format.
* You can now select also a time when filtering transactions.
* Added a button to toggle all children on and off at once.
* Date in Nova Navy discord log is now UTC.
* Added a divider so you can rescale the objectives and the log to a preferred aspect ratio.

## 0.2.3 on 11.12.2022

* Fixed detection of medium ground combat zones.
* Improve detection of things done near or around a new day. The tool should not properly
  pick up missions done the previous day, and completed at the selected day.
* Add support for ground combat zones when done using Frontier Solutions (DropshipDeploy).
* Add more mission names for Thargoid war.
* Relogs in an on foot combat zone are now properly detected.

## 0.2.2 on 07.12.2022

* Orthrus interceptor payout changed to U14.1 values.
* Detection of AX combat zones has been improved.
* All thargoid war missions now contribute to the system.
* Thargoid combat zones go to "Very High".
* Passenger missions show amount of people rescued.

## 0.2.1 on 03.12.2022

* Add support for Thargoid combat zones.
* Make some missions "system related", meaning they are sorted into an objective with just
  the system name. This makes sense for contributions for towards a system goal, rather than
  a faction goal - like Thargoid wars.
* Fixed a bug about the visibility of war zone side objectives. 

## 0.2.0 on 29.11.2022

* Moved project to .NET 7.0
* Added an experimental combat zone detector. Since there is no dedicated entry in the journal
  for a combat zone, this code will do a lot of guessing.
* Add thargoid kills and thargoid vouchers.
* Add a warning if something has been done in E:D Legacy.
* Fixed a bug were on foot murders were not properly recognised.
* "On Foot" combat zones are now called Ground Combat Zones.
* GUI has been reworked, all functions are now near the relevant items.

## 0.1.7 on 09.11.2022

* Fixed a bug related to total amount of credits gained by turning in organic data.
* Changed UI to have report, and objectives on the same page.
* Report now automatically updates when objectives and entries are selected, deselected or removed.
* Removed manual adding of objectives.

## 0.1.6 on 24.09.2022

* Fixed datetime format.

## 0.1.5 on 24.08.2022

* Added some mission names.
* Updated README regarding Update 13.

## 0.1.4 on 24.07.2022

* Fixed hour display with entires (now in 24 hour format).
* Allow adding combat zones regardless of whether an objective is selected, or an
  entry. If an entry is selected simply use its objective instead.
* Add timestamp to combat zone wins.

## 0.1.3 on 07.06.2022

* Fixed a bug where entries in non-rated journal files were not properly picked up.
* Remove EDDB database usage. This feature could block the tool if it failed to convert
  the JSON to something more usable, downloads took forever, and the tool itself could
  run out of memory loading and converting JSON from EDDB. With automatic objective
  detection this tool is no longer really needed.

## 0.1.2 on 06.04.2022

* If you remove an item the tree items stay collapsed/expanded. (thanks CMDR NeedX).
* Fixed a bug where the program would crash if you opened the manual log entry
  window twice (thanks CMDR NeedX).
* Fixed a bug regarding organic data not being properly recognised in logs.
* Date and time when the entry has been added to the overview.
  * The actual entry is now semi-bold to distinguish it from the date time.
* You can now select which item should appear in the final log, and which shouldn't.

## 0.1.1 on 15.03.2022

* Update tool to work with the new journal filenames introduced in Update 11.

## 0.1.0 on 27.02.2022

* Final release without beta in front of it.
* Several new mission names for the XML.
* A few small fixes towards the Discord log formatting.

## 0.1.0-beta14 on 26.02.2022

* Missions that give out no influence whatsoever apparently exist. Here the strategy
  is to add them to the list anyway, and warn the user that this might happen because
  of conflicts.

## 0.1.0-beta13 on 24.02.2022

* Missions that give no influence are now properly shown again. A warning is also
  displayed on why there is no influence there (spoiler alert: conflicts).
* Missions that give influence to an unknown faction are still ignored, but there is
  now a warning about it.
* Added a few new mission names to the XML.

## 0.1.0-beta12 on 18.02.2022

* Failed missions now properly show up where they were accepted, instead of where they
  were failed.

## 0.1.0-beta11 on 16.02.2022

* Fixed a bug in which mission influence was assigned to the wrong station, system
  and faction. But now the log entry for accepting a mission must be within the given
  range.
* Stop complaining about missing objective files.
* Add a few more mission names to the XML.

## 0.1.0-beta10 on 12.02.2022

* Added search and rescue.
* For mourders try to determine the faction of the victim. The CommitCrime event
  lists the faction that issues the bounty, and not the faction of the victim.
* Vouchers are now properly treated. Each individual voucher is assigned a separate
  objective, if the target faction for said voucher is present in the system.

## 0.1.0-beta9 on 07.02.2022

* Added Vista Genomics to the reports.

## 0.1.0-beta8 on 29.01.2022

* Fixed a bug where influence was wrongly counted for missions were both the
  main beneficiary, and the secondary beneficiary are the same faction.
* Tightened selection of which entry goes to which objective.

## 0.1.0-beta7 on 27.01.2022

* Added murders, since they give negative INF for the target faction.
* Cargo is now collated for the NONA discord template.
* Empty secondary influences no longer show up.
* Market buying is not part of the BGS since Update 10.
* Remove decimal point unless absolutely necessary.
* Fixed log file template regarding failed missions.
* Support missions were the source and target are both the same faction, but in
  different systems. Here both systems should be listed in the BGS list.

## 0.1.0-beta6 on 22.01.2022

* Month names should now always be in English in the NONA log format.
* Add influence support (by secondary mission objectives) to the log format.
* Remember last used discord log template.
* Add support for SellExplorationData journal entry.
* Improve credit formatting.

## 0.1.0-beta5 on 21.01.2022

* Missions that affect more than one faction now properly show that in the list.
* Cargo sold now shows a better name for the commodity (if available in journal).
* Added more mission names.
* Mission names are now part of an XML file.
* Added licence file with GPLv3.

## 0.1.0-beta4 on 13.01.2022

* Fixed a bug in date/time selection. It no longer uses the start date as start and end.

## 0.1.0-beta3 on 12.01.2022

* Collated failed missions into a single entry with a counter
* Added failed missions to Nova Navy log template
* Detect trade profit/loss
* Allow adjusting trade profit/loss with a new window

## 0.1.0-beta2 on 09.01.2022

* Adding combat zones has been repaired

## 0.1.0-beta1 on 07.01.2022

* Initial release